﻿using System.Threading.Tasks;

namespace UltimaCR.Rotations
{
    public sealed partial class Monk : Rotation
    {
        public override async Task<bool> Combat()
        {
            if (Ultima.UltSettings.SmartTarget)
            {
                if (await PerfectBalance()) return true;
                if (await MercyStroke()) return true;
                if (await Haymaker()) return true;
                if (await ArmOfTheDestroyer()) return true;
                if (await Rockbreaker()) return true;
                if (await ShoulderTackle()) return true;
                if (await Demolish()) return true;
                if (await SnapPunch()) return true;
                if (await DragonKick()) return true;
                if (await TwinSnakes()) return true;
                if (await TouchOfDeath()) return true;
                if (await SteelPeak()) return true;
                if (await ElixirField()) return true;
                if (await HowlingFist()) return true;
                if (await TornadoKick()) return true;
                if (await ForbiddenChakra()) return true;
                if (await TrueStrike()) return true;
                return await Bootshine();
            }
            if (Ultima.UltSettings.SingleTarget)
            {
                if (await PerfectBalance()) return true;
                if (await MercyStroke()) return true;
                if (await Haymaker()) return true;
                if (await ShoulderTackle()) return true;
                if (await Demolish()) return true;
                if (await SnapPunch()) return true;
                if (await DragonKick()) return true;
                if (await TwinSnakes()) return true;
                if (await TouchOfDeath()) return true;
                if (await SteelPeak()) return true;
                if (await ElixirField()) return true;
                if (await HowlingFist()) return true;
                if (await TornadoKick()) return true;
                if (await ForbiddenChakra()) return true;
                if (await TrueStrike()) return true;
                return await Bootshine();
            }
            if (Ultima.UltSettings.MultiTarget)
            {
                if (await PerfectBalance()) return true;
                if (await MercyStroke()) return true;
                if (await Haymaker()) return true;
                if (await ShoulderTackle()) return true;
                if (await ArmOfTheDestroyer()) return true;
                if (await Rockbreaker()) return true;
                if (await ElixirField()) return true;
                if (await TrueStrike()) return true;
                return await Bootshine();
            }
            return false;

        }

        public override async Task<bool> PVPRotation()
        {
            return false;
        }
    }
}